OpenTTD: Data Fields - Functions

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - p -

- Pack() : Order , VehicleListIdentifier
- Packet() : Packet
- PacketReader() : PacketReader
- Packets() : CargoList< Tinst, Tcont >
- PacketWriter() : PacketWriter
- PageElementOrderSorter() : StoryBookWindow
- PageOrderSorter() : StoryBookWindow
- PaletteAnimate() : Blitter_32bppAnim , Blitter_32bppBase , Blitter_8bppBase , Blitter , Blitter_Null
- ParseFile() : StringReader , FileStringReader
- PassOnFlow() : FlowStatMap
- Path() : Path
- Paths() : LinkGraphJob::Node
- Pause() : AI , Game , ScriptInstance
- PayFinalDelivery() : CargoPayment
- PayTransfer() : CargoPayment
- PBSTileInfo() : PBSTileInfo
- Peek() : CommandQueue
- PerformanceSorter() : CompanyLeagueWindow
- PersistentStorage() : PersistentStorage
- PersistentStorageArray() : PersistentStorageArray< TYPE, SIZE >
- PfCalcCost() : CYapfCostRailT< Types > , CYapfCostRoadT< Types > , CYapfCostShipT< Types >
- PfCalcEstimate() : CYapfDestinationTileT< Types > , CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationTileRoadT< Types >
- PfDetectDestination() : CYapfDestinationTileT< Types > , CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationTileRoadT< Types >
- PfFollowNode() : CYapfFollowAnyDepotRailT< Types > , CYapfFollowAnySafeTileRailT< Types > , CYapfFollowRailT< Types > , CYapfFollowRoadT< Types > , CYapfFollowShipT< Types >
- PfGetSettings() : CYapfBaseT< Types >
- PfNodeCacheFetch() : CYapfSegmentCostCacheNoneT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfSegmentCostCacheGlobalT< Types >
- PfNodeCacheFlush() : CYapfSegmentCostCacheNoneT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfSegmentCostCacheGlobalT< Types >
- PfSetStartupNodes() : CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types >
- PixelToTile() : SmallMapWindow
- PlaceIndustry() : IndustryCargoesWindow
- PlayLeaveStationSound() : Ship , Train , Vehicle
- PlaySong() : MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_LibTimidity , MusicDriver_Null , MusicDriver_OS2 , MusicDriver_QtMidi , MusicDriver_Win32 , MusicDriver_Cocoa , MusicDriver
- PoolBase() : PoolBase
- Pop() : SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size > , CHashTableT< Titem_, Thash_bits_ > , CommandQueue , BinaryHeap
- PopBestOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- PopCargo() : VehicleCargoList
- PopOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- PopPacket() : PacketWriter
- PostDestructor() : Industry , Town , BaseStation , Company , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- Postprocess() : CargoRemoval< Tsource >
- PostResize() : Blitter , Blitter_32bppAnim
- PowerChanged() : GroundVehicle< T, Type >
- PreDestructor() : Vehicle
- PredictNextOrder() : LinkRefresher
- Prepare() : ByteBlob
- PrepareLayout() : NewGRFSpriteLayout
- PrepareRefitAction() : PrepareRefitAction
- PrepareToRead() : Packet
- PrepareToSend() : Packet
- Preprocess() : CargoMovement< Tsource, Tdest > , CargoRemoval< Tsource >
- Prev() : StringIterator , DefaultStringIterator
- Previous() : Vehicle , SpecializedVehicle< T, Type >
- PreviousShared() : Vehicle
- PrevNextSign() : SignWindow
- Print() : Textbuf
- PrintFunc() : Squirrel
- PrivateLocalToCG() : CocoaSubdriver
- ProcessHighlightedInvalidations() : Window
- ProcessRegisters() : NewGRFSpriteLayout , TileLayoutSpriteGroup
- ProcessScheduledInvalidations() : Window
- Proxy() : ThreadObject_MorphOS
- PruneIntermediateNodeBranch() : CYapfBaseT< Types >
- PSAWithParameter() : NIHelper
- PtInExtendedRect() : StationRect
- Push() : BinaryHeap , CHashTableT< Titem_, Thash_bits_ > , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- PushExtraConfigList() : AIConfig , ScriptConfig
- PushFlow() : MultiCommodityFlow